Summary: Simple e-mail attachment filter
Name: protector
Version: 1.00.7
Release: 1
Group: Applications/System
License: GPL
Packager: Carles Arjona <nospammer@bigfoot.com>
URL: http://protector.sourceforge.net
Source: %{name}-%{version}.tgz
Source1: protector-INSTALL.mc
BuildRoot: %{_tmppath}/%{name}-root
Requires: procmail

%description
Protector aims to provide a basic level of protection against
undesirable content in e-mail attachments delivered to users of linux
systems (or mail POP3 clients connected to them). It is designed to be
"fail safe" in that it does not actually check for viruses, but prevents
delivery of attachments of a type that could contain a virus - or more
specifically - it only permits delivery of attachments that cannot contain
viruses. It follows a "better safe than sorry" paradigm.

%prep
%setup
cp -p %{SOURCE1} INSTALL.mc

%build
make build

%install
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/protector/messages
mkdir -p $RPM_BUILD_ROOT/usr/lib/protector/etc
mkdir -p $RPM_BUILD_ROOT/usr/lib/protector/bin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/smrsh
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily

sh messages/DO_INS $RPM_BUILD_ROOT/usr/lib/protector/messages
cp mime.magic $RPM_BUILD_ROOT/usr/lib/protector/etc
cp part_filter $RPM_BUILD_ROOT/usr/lib/protector/bin
cp protector check_msword check_excel check_rtf check_mstnef qpdecode \
	classify_msoffice m_file auto_reply save_reject revive \
	$RPM_BUILD_ROOT/usr/lib/protector/bin
chown root $RPM_BUILD_ROOT/usr/lib/protector/bin/save_reject
chgrp root $RPM_BUILD_ROOT/usr/lib/protector/bin/save_reject
chmod 6755 $RPM_BUILD_ROOT/usr/lib/protector/bin/save_reject
cp wrapper.sh $RPM_BUILD_ROOT/usr/bin/protector
mkdir -p $RPM_BUILD_ROOT/var/protector/rejects
chown root $RPM_BUILD_ROOT/var/protector/rejects
chgrp root $RPM_BUILD_ROOT/var/protector/rejects
chmod 700 $RPM_BUILD_ROOT/var/protector/rejects
ln -s ../lib/protector/bin/revive $RPM_BUILD_ROOT/usr/bin/revive
ln -s ../../usr/bin/protector $RPM_BUILD_ROOT/etc/smrsh/protector
install -o root -g mail -m 0755 daily.sh $RPM_BUILD_ROOT/etc/cron.daily/protector

%clean
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT

%post
echo ''
echo ':-----------------------------------------------------------------------------:'
echo ':             THE AUTOMATED PART OF THE INSTALLATION IS COMPLETE.             :'
echo ':-----------------------------------------------------------------------------:'
echo ''
echo '$ %{_docdir}/%{name}-%{version}/INSTALL.mc'
cat %{_docdir}/%{name}-%{version}/INSTALL.mc
echo ''
echo See %{_docdir}/%{name}-%{version}/INSTALL if you don\'t use .mc files.
echo ''
echo ':-----------------------------------------------------------------------------:'

%preun

%files
/etc/cron.daily/protector
/etc/smrsh/protector
/usr/bin/*
/usr/lib/protector
/var/protector
%doc CHANGES COPYING GUIDE INSTALL* NOTES README 

%changelog
* Sun Oct 13 2002 Carles Arjona <nospammer@bigfoot.com>
- fixed both post-install message and INSTALL.mc file
- version 1.00.7-1 RPM

* Wed Jul 31 2002 Carles Arjona <nospammer@bigfoot.com>
- version 1.00.6-1 RPM
- added the INSTALL.mc file
- post-install message modified 
- built SPEC from scratch
